View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
15320Bug reportsResponse browsingpublic2021-10-21 12:31
ReporterDenisChenu Assigned To 
PrioritynormalSeverityminor 
Status confirmedResolutionopen 
Product Version3.17.x 
Summary15320: No “Download all files” button when browse Response
DescriptionIn Browse response screen (with upload question), we can download all files from checked responses, but not all files for all responses (with current filter applied).
We have a button for all files in 2.6.
Steps To ReproduceImport included lsa,
Add a response
Find a way to download all response.

Here : there are less than 10 response, but previously it (can) work even with 1000 responses.
Additional InformationPHP code can be very simple : https://github.com/LimeSurvey/LimeSurvey/blob/master/application/controllers/admin/responses.php#L664
`public function actionDownloadfiles($iSurveyId, $sResponseId = null)`

Just need a new button somewhere
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)3.17.17
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2019-09-24 10:16

developer  

DenisChenu

DenisChenu

2019-09-24 10:17

developer   ~53695

Last edited: 2019-11-04 00:13

View 2 revisions

It can be great to have 2 dropu system , one with
*Selected responses*
Other with
*Filtered responses*
And allow exactly the same action (delete, delete files, download files, export)

cdorin

cdorin

2019-11-03 17:28

manager   ~54358

Last edited: 2021-02-08 10:08

Thx. I will assign it to myself not to forget about that and discuss it with the team in one of the next meetings
DenisChenu

DenisChenu

2019-11-04 00:14

developer   ~54376

Last edited: 2021-02-08 10:08

I update previous note : 2nd is **Filtered** responses ;)

Issue History

Date Modified Username Field Change
2019-09-24 10:16 DenisChenu New Issue
2019-09-24 10:16 DenisChenu File Added: survey_archive_842447.lsa
2019-09-24 10:16 DenisChenu File Added: Capture d’écran du 2019-09-24 09-54-57.png
2019-09-24 10:16 DenisChenu File Added: Capture d’écran du 2019-09-24 10-02-24.png
2019-09-24 10:17 DenisChenu Note Added: 53695
2019-11-03 17:28 cdorin Assigned To => cdorin
2019-11-03 17:28 cdorin Status new => assigned
2019-11-03 17:28 cdorin Note Added: 54358
2019-11-04 00:13 DenisChenu Note Edited: 53695 View Revisions
2019-11-04 00:14 DenisChenu Note Added: 54376
2021-02-08 10:08 cdorin Assigned To cdorin =>
2021-02-08 10:08 cdorin Priority none => normal
2021-02-08 10:08 cdorin Status assigned => confirmed
2021-02-08 10:08 cdorin Sync to Zoho Project => |Yes|
2021-10-21 12:31 c_schmitz Description Updated View Revisions